Package org.drinkless.tdlib

# Class TdApi.UpdateTrendingStickerSets

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateTrendingStickerSets

Enclosing class:
  TdApi

public static class TdApi.UpdateTrendingStickerSets extends TdApi.Update
The list of trending sticker sets was updated or some of them were viewed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.TrendingStickerSets`
  `stickerSets`
  The prefix of the list of trending sticker sets with the newest trending sticker sets.
  `TdApi.StickerType`
  `stickerType`
  Type of the affected stickers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateTrendingStickerSets()`
  The list of trending sticker sets was updated or some of them were viewed.
  `UpdateTrendingStickerSets(TdApi.StickerType stickerType, TdApi.TrendingStickerSets stickerSets)`
  The list of trending sticker sets was updated or some of them were viewed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### stickerType

    public TdApi.StickerType stickerType
    Type of the affected stickers.

  - ### stickerSets

    public TdApi.TrendingStickerSets stickerSets
    The prefix of the list of trending sticker sets with the newest trending sticker sets.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateTrendingStickerSets

    public UpdateTrendingStickerSets()
    The list of trending sticker sets was updated or some of them were viewed.

  - ### UpdateTrendingStickerSets

    public UpdateTrendingStickerSets(TdApi.StickerType stickerType, TdApi.TrendingStickerSets stickerSets)
    The list of trending sticker sets was updated or some of them were viewed.
    Parameters:
      `stickerType` - Type of the affected stickers.
      `stickerSets` - The prefix of the list of trending sticker sets with the newest trending sticker sets.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR